=== debian/changelog ===
libsignal-protocol-c (2.3.1+git20171007-3) unstable; urgency=medium

  * Minor updates: Bumped standards version, fixed Multi-Arch,
    change maintainership to XMPP team at salsa.debian.org.

 -- W. Martin Borgert <debacle@debian.org>  Sun, 04 Feb 2018 18:47:03 +0000

libsignal-protocol-c (2.3.1+git20171007-2) unstable; urgency=medium

  * Upload to unstable.

 -- W. Martin Borgert <debacle@debian.org>  Mon, 18 Dec 2017 21:37:37 +0000

libsignal-protocol-c (2.3.1+git20171007-1) experimental; urgency=medium

  * Initial release. (Closes: #840366)

 -- W. Martin Borgert <debacle@debian.org>  Thu, 19 Oct 2017 21:32:35 +0000
