=== debian/control ===
Source: libsignal-protocol-c
Section: devel
Priority: optional
Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>,
 Dominik George <nik@naturalnet.de>
Standards-Version: 4.1.3
Rules-Requires-Root: no
Build-Depends:
 check,
 cmake,
 debhelper (>= 10~),
 dpkg-dev (>= 1.16.1),
 libssl-dev,
 protobuf-c-compiler,
Homepage: https://github.com/WhisperSystems/libsignal-protocol-c
Vcs-Git: https://salsa.debian.org/xmpp-team/libsignal-protocol-c.git
Vcs-Browser: https://salsa.debian.org/xmpp-team/libsignal-protocol-c

Package: libsignal-protocol-c-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libsignal-protocol-c2 (= ${binary:Version}),
 ${misc:Depends},
Description: ratcheting forward secrecy protocol for synchronous and asynchronous messaging
 This is a ratcheting forward secrecy protocol that works in
 synchronous and asynchronous messaging environments.
 .
 This package contains the development files.

Package: libsignal-protocol-c2
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: ratcheting forward secrecy protocol for synchronous and asynchronous messaging
 This is a ratcheting forward secrecy protocol that works in
 synchronous and asynchronous messaging environments.
