=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --buildsystem=cmake

override_dh_auto_build:
	( cd protobuf ; $(MAKE) )
	dh_auto_build

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_SHARED_LIBS=ON -DLIB_INSTALL_DIR=/usr/lib/${DEB_HOST_MULTIARCH}
