## libsignal-protocol-c 2.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 SET(SIGNAL_PROTOCOL_C_VERSION_MAJOR 2)
 SET(SIGNAL_PROTOCOL_C_VERSION_MINOR 3)
-SET(SIGNAL_PROTOCOL_C_VERSION_PATCH 1)
+SET(SIGNAL_PROTOCOL_C_VERSION_PATCH 2)
 SET(SIGNAL_PROTOCOL_C_VERSION ${SIGNAL_PROTOCOL_C_VERSION_MAJOR}.${SIGNAL_PROTOCOL_C_VERSION_MINOR}.${SIGNAL_PROTOCOL_C_VERSION_PATCH})
 
 SET(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)")
