=== debian/changelog ===
libsignal-protocol-c (2.3.2-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Jonas Meurer <jonas@freesources.org>  Sun, 10 Nov 2019 21:29:31 +0100

libsignal-protocol-c (2.3.2-2) unstable; urgency=medium

  * Re-upload to unstable.

 -- W. Martin Borgert <debacle@debian.org>  Fri, 19 Jul 2019 06:51:49 +0000

libsignal-protocol-c (2.3.2-1) experimental; urgency=medium

  * New upstream version (Closes: #901948).
  * Use full library version for soname.

 -- W. Martin Borgert <debacle@debian.org>  Thu, 30 May 2019 20:48:54 +0000
