=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends:
  check,
  cmake,
- debhelper (>= 10~),
+ debhelper-compat (= 11),
  dpkg-dev (>= 1.16.1),
  libssl-dev,
  protobuf-c-compiler,
@@ -22,7 +22,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends:
- libsignal-protocol-c2 (= ${binary:Version}),
+ libsignal-protocol-c2.3.2 (= ${binary:Version}),
  ${misc:Depends},
 Description: ratcheting forward secrecy protocol for synchronous and asynchronous messaging
  This is a ratcheting forward secrecy protocol that works in
@@ -30,7 +30,7 @@
  .
  This package contains the development files.
 
-Package: libsignal-protocol-c2
+Package: libsignal-protocol-c2.3.2
 Architecture: any
 Multi-Arch: same
 Section: libs
