## libsignal-protocol-c 2.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 SET(SIGNAL_PROTOCOL_C_VERSION_MAJOR 2)
 SET(SIGNAL_PROTOCOL_C_VERSION_MINOR 3)
-SET(SIGNAL_PROTOCOL_C_VERSION_PATCH 2)
+SET(SIGNAL_PROTOCOL_C_VERSION_PATCH 3)
 SET(SIGNAL_PROTOCOL_C_VERSION ${SIGNAL_PROTOCOL_C_VERSION_MAJOR}.${SIGNAL_PROTOCOL_C_VERSION_MINOR}.${SIGNAL_PROTOCOL_C_VERSION_PATCH})
 
 SET(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)")
@@ -19,6 +19,7 @@
 
 INCLUDE(CheckSymbolExists)
 INCLUDE(CheckCCompilerFlag)
+INCLUDE(TestBigEndian)
 
 CHECK_SYMBOL_EXISTS(memset_s "string.h" HAVE_MEMSET_S)
 
@@ -50,6 +51,11 @@
 	SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DHAVE_MEMSET_S=1")
 ENDIF(HAVE_MEMSET_S)
 
+TEST_BIG_ENDIAN(WORDS_BIGENDIAN)
+IF(WORDS_BIGENDIAN)
+	ADD_DEFINITIONS(-DWORDS_BIGENDIAN)
+ENDIF(WORDS_BIGENDIAN)
+
 IF(COVERAGE)
 	SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fprofile-arcs -ftest-coverage")
 	SET(LINK_FLAGS "${LINK_FLAGS} -fprofile-arcs -ftest-coverage")
