=== debian/changelog ===
libsignal-protocol-c (2.3.3-1) unstable; urgency=medium

  * New upstream version.
    No need to bump soname or package name, no ABI changes.

 -- Martin <debacle@debian.org>  Sat, 02 May 2020 17:09:00 +0000
