=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
-Uploaders: W. Martin Borgert <debacle@debian.org>,
+Uploaders: Martin <debacle@debian.org>,
  Dominik George <nik@naturalnet.de>
 Standards-Version: 4.1.3
 Rules-Requires-Root: no
