=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
+SOFILE=usr/lib/${DEB_HOST_MULTIARCH}/libsignal-protocol-c.so
 
 %:
 	dh $@ --buildsystem=cmake
@@ -11,3 +13,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DBUILD_SHARED_LIBS=ON -DLIB_INSTALL_DIR=/usr/lib/${DEB_HOST_MULTIARCH}
+
+override_dh_link:
+	dh_link -plibsignal-protocol-c2.3.2 ${SOFILE}.2.3.3 ${SOFILE}.2.3.2
