=== debian/watch ===
version=3
https://github.com/signalapp/libsignal-protocol-c/tags \
.*/signalapp/libsignal-protocol-c/archive/v(\d.+)\.tar\.gz \
debian uupdate
